Subject: Re: Invoice 1882602
From: "LLPS Customer Service" <[email-masked]>
To: "Stephanie" <[email-masked]>
Date: Tue, 9 Dec 2014 10:09:55 -0500

Hello.
An order order was placed on October 27, 2014 for a 3-year subscription by Chris and who requested that the posters be sent to Lonni Thompson.  The posters were delivered via US Mail on October 30, 2014 (tracking #9400111899561200596284).  If you have further questions, please contact Customer Service at 877-321-4144 and reference your order number.
Thank you,
LLPS

From: Stephanie 
Sent: Tuesday, December 09, 2014 9:55 AM
To: Labor Law Poster Service 
Subject: RE: Invoice 1882602

I did not order this poster. I was sent an invoice via snail mail. I sent it back to you. Lonni J. Thomposn

-----Original Message-----
From: Labor Law Poster Service [mailto:[email-masked]] 
Sent: Monday, October 27, 2014 10:56 AM
To: Stephanie
Subject: Invoice 1882602

        
-------------------------
Thank you for your order. Your invoice is attached.

This is an automatically generated message from Labor Law Poster Service. 
UID: 599